Loading...
Searching...
No Matches
lower_bound.hpp File Reference

## Functions

template<typename I , typename S , typename V , typename C = less, typename P = identity> requires forward_iterator<I> && sentinel_for<S, I> && indirect_strict_weak_order<C, V const *, projected<I, P>>
constexpr I | ranges::lower_bound (I first, S last, V const &val, C pred=C{}, P proj=P{})
| function template `lower_bound`
template<typename Rng , typename V , typename C = less, typename P = identity> requires forward_range<Rng> && indirect_strict_weak_order<C, V const *, projected<iterator_t<Rng>, P>>
constexpr borrowed_iterator_t< Rng > | ranges::lower_bound (Rng &&rng, V const &val, C pred=C{}, P proj=P{})
| This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.